apply plugin: 'com.android.library'
apply plugin: 'kotlin-android'
apply plugin: 'kotlin-kapt'
apply plugin: 'kotlin-android-extensions'
apply from: "../publish.gradle"

kapt {
    arguments {
        arg("AROUTER_MODULE_NAME", project.getName())
    }
}

android {
    compileSdkVersion rootProject.ext.android["compileSdkVersion"]
    buildToolsVersion rootProject.ext.android["buildToolsVersion"]

    defaultConfig {
        minSdkVersion rootProject.ext.android["minSdkVersion"]
        targetSdkVersion rootProject.ext.android["targetSdkVersion"]
        versionCode 1
        versionName "1.0"

        renderscriptTargetApi 19
        renderscriptSupportModeEnabled true
    }


    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

    compileOptions {
        sourceCompatibility 1.8
        targetCompatibility 1.8
    }

}

dependencies {
    api fileTree(dir: 'libs', include: ['*.jar', '*.aar'])

    implementation 'androidx.appcompat:appcompat:1.2.0'

    implementation 'com.github.weidongjian:androidWheelView:1.0.0'
    implementation 'com.github.feeeei:CircleSeekbar:v1.1.2'
//    implementation 'jp.wasabeef:blurry:4.0.1'
//    solve build problem
//    cannot access 'androidx.lifecycle.hasdefaultviewmodelproviderfactory'
//    Comment out when compiling
    implementation "androidx.lifecycle:lifecycle-extensions:2.0.0"

    implementation "com.alibaba:arouter-api:$arouter_api"
//    注意此处的依赖方式：kotlin中使用和java中使用方式有不同
    kapt "com.alibaba:arouter-compiler:$arouter_compiler"

    api project(":ydl-platform")
    implementation project(':ydl-media')
    implementation project(":api:user")
    implementation project(":api:muse")
    implementation project(':ydl-flutter-base')
    implementation project(':ydl-webview')

}
